%define dataversion 0.61

Summary:	Tux Racer
Name:		tuxracer
Version:	0.61
Release:	17mdk
License:	GPL
Group:		Games/Sports

Source:		tuxracer-%{version}.tar.bz2
Source1:	tuxracer-data-%{dataversion}.tar.bz2
Source2:	%{name}-16x16.png
Source3:	%{name}-32x32.png
Source4:	%{name}-48x48.png
Patch0:		%{name}-0.61-gcc33.patch.bz2
Patch1:		%{name}-0.61-config.patch.bz2
Patch2:		%{name}-0.61-ia64.patch.bz2
URL:		http://www.tuxracer.com/
BuildRequires:	SDL_mixer-devel
BuildRequires:	XFree86-static-libs
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	tcl
BuildRequires:	texinfo
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Tux Racer is a simple OpenGL-based racing game featuring Tux. The object of the
game is to slide down a snow- and ice-covered mountain as quickly as possible,
avoiding the trees and rocks that will slow you down.

%prep
%setup -q -a 1
%patch0 -p1 -b .gcc3.3
%patch1 -p1 -b .config
%patch2 -p1 -b .ia64

%build
export CC="gcc -DGLX_GLXEXT_LEGACY"
%configure --with-data-dir=%_gamesdatadir/tuxracer/

%make

%install
rm -fr %buildroot

%makeinstall bindir=$RPM_BUILD_ROOT%_gamesbindir

install -d %buildroot/%_gamesdatadir/tuxracer/

tar c -C %name-data-%dataversion . | tar x -C %buildroot/%_gamesdatadir/tuxracer/

install -d %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/%name
?package(%{name}):command="soundwrapper %_gamesbindir/tuxracer" \
		  icon="%{name}.png" \
		  needs="x11" \
		  section="Amusement/Sports" \
		  title="Tuxracer"\
		  longtitle="A great racing game starring Tux"
EOF

chmod -R a+rX %buildroot/%_gamesdatadir/tuxracer/ 

install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE4} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -fr %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README contrib
#
#
#
%_gamesbindir/*
#
#
#
%_menudir/*
#
#
#
%dir %_gamesdatadir/tuxracer/
%doc %_gamesdatadir/tuxracer/README
%_gamesdatadir/tuxracer/*.tcl
#
#
%dir %_gamesdatadir/tuxracer/courses/
%_gamesdatadir/tuxracer/courses/course_idx.tcl
#
%dir %_gamesdatadir/tuxracer/courses/bumpy_ride/
%_gamesdatadir/tuxracer/courses/bumpy_ride/*
#
%dir %_gamesdatadir/tuxracer/courses/bunny_hill/
%_gamesdatadir/tuxracer/courses/bunny_hill/*
#
%dir %_gamesdatadir/tuxracer/courses/common/
%_gamesdatadir/tuxracer/courses/common/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/
%dir %_gamesdatadir/tuxracer/courses/contrib/downhill_fear/
%_gamesdatadir/tuxracer/courses/contrib/downhill_fear/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/ice_canyon/
%_gamesdatadir/tuxracer/courses/contrib/ice_canyon/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/ingos_speedway/
%_gamesdatadir/tuxracer/courses/contrib/ingos_speedway/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/jools_big_mountain/
%_gamesdatadir/tuxracer/courses/contrib/jools_big_mountain/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/nebula/
%_gamesdatadir/tuxracer/courses/contrib/nebula/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/penguins_cant_fly/
%_gamesdatadir/tuxracer/courses/contrib/penguins_cant_fly/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/sentinel_towers/
%_gamesdatadir/tuxracer/courses/contrib/sentinel_towers/*
#
%dir %_gamesdatadir/tuxracer/courses/contrib/twin_paths/
%_gamesdatadir/tuxracer/courses/contrib/twin_paths/*
#
%dir %_gamesdatadir/tuxracer/courses/frozen_river/
%_gamesdatadir/tuxracer/courses/frozen_river/*
#
%dir %_gamesdatadir/tuxracer/courses/path_of_daggers/
%_gamesdatadir/tuxracer/courses/path_of_daggers/*
#
%dir %_gamesdatadir/tuxracer/courses/twisty_slope/
%_gamesdatadir/tuxracer/courses/twisty_slope/*
#
#
%dir %_gamesdatadir/tuxracer/fonts/
%_gamesdatadir/tuxracer/fonts/*
#
#
%dir %_gamesdatadir/tuxracer/music/
%_gamesdatadir/tuxracer/music/*
#
#
%dir %_gamesdatadir/tuxracer/sounds/
%_gamesdatadir/tuxracer/sounds/*
#
#
%dir %_gamesdatadir/tuxracer/textures/
%_gamesdatadir/tuxracer/textures/*
#
#
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.61-17mdk
- Rebuild with new menu

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.61-16mdk
- Rebuild

* Thu Jul 31 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.61-15mdk
- don't use sondwrapper, no need for soundwrapper for sdl apps (David walser)

* Mon Jul 28 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.61-14mdk
- added icon

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.61-13mdk
- drop redundant buildrequires
- fix build with gcc-3.3 (P0, from rawhide)
- fix deprecated compile flags (P1, from rawhide)
- fix ia64 build (P2, from rawhide)
- use %%_gamesdatadir and %%_gamesbindir

* Thu Apr 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.61-12mdk
- fix build with new XFree86 glx header

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.61-11mdk
- fix sound support under kde & gnome : use soundwrapper

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 0.61-10mdk
- Fix icon (menu)

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.61-9mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.61-8mdk
- Automated rebuild with gcc3.2

* Tue Jul 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.61-7mdk
- need a rebuild for new libstdc++, new SDL_mixer not depending on
  alsa/esd, and new libvorbis (been a long time, isn't it?)

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.61-6mdk
- rebuild for new alsa

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 0.61-5mdk
- BuildRequires

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.61-4mdk
- Make %%_datadir/tuxracer/ readable by everybody

* Sun Sep 09 2001 David BAUDENS <baudens@mandrakesoft.com> 0.61-3mdk
- Fix icons
- Clean after build

* Mon May 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.61-2mdk
- recompiled for SDL 1.2

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.61-1mdk
- 0.61

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.3-1mdk
- 0.60.3

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-8mdk
- recompiled to get good dependencies.

* Fri Dec  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-7mdk
- corrected BuildRequires.

* Thu Dec  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-5mdk
- added icons for the menu.

* Wed Nov 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-4mdk
- added BuildRequires on libSDL_mixer1.0-devel and libSDL1.1-devel.

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.60.1-3mdk
- rebuild with gcc 2.96
- make rpmlint happier.

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-2mdk
- 0.60.1

* Tue Sep 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-2mdk
- rebuild for latest tk.

* Sun Aug 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-1mdk
- first mandrake version.
